<template>
  <div>
  <div v-if="$fetchState.pending" class="fetch-pending">
  </div>
  <div v-else-if class="our-team pt-54 pb-54">
    <div class="container"  v-if="teamMembers && teamMembers.length">
      <div class="row">
        <div class="col-12 mb-48 page-titles">
          <div class="d-flex align-items-center">
            <svg
              width="27"
              height="40"
              viewBox="0 0 27 40"
              fill="none"
              xmlns="http://www.w3.org/2000/svg"
            >
              <path
                fill-rule="evenodd"
                clip-rule="evenodd"
                d="M14.0601 21.6724L12.4129 31.5559L21.9667 18.3276H12.8529L14.5001 8.44406L4.9463 21.6724H14.0601ZM18.9729 1.95367C19.2635 0.209919 17.0024 -0.733597 15.9674 0.699526L0.319597 22.3657C-0.479203 23.4717 0.311086 25.0173 1.67541 25.0173H10.1116L7.94011 38.0463C7.64949 39.7901 9.91058 40.7336 10.9456 39.3005L26.5934 17.6343C27.3922 16.5283 26.6019 14.9827 25.2376 14.9827H16.8014L18.9729 1.95367Z"
                fill="white"
              />
            </svg>

            <h2 class="ml-18">Our team</h2>
          </div>
        </div>
      </div>
      <div class="row">
        <div
          class="col-12 col-md-4 col-lg-3 col-sm-6"
          v-for="(item, index) in teamMembers"
          :key="index"
          data-aos="flip-right"
          data-aos-once="true"
          data-aos-anchor-placement="bottom"
          data-aos-duration="600"
        >
          <div class="team-cards text-center mb-24">
            <img class="bg-effect" src="images/logo-background.svg" alt="Trucking pics" />
            <div class="d-flex justify-content-center">
              <lottie-player
                class="mb-16 ava"
                v-if="item.gender === 'male'"
                src="https://assets1.lottiefiles.com/private_files/lf30_2t2xp6zy.json"
                background="transparent"
                speed="1"
                style="width: 100%; height: 100vh; object-fit: cover"
                loop
                autoplay
              ></lottie-player>
              <lottie-player
                class="mb-16 ava"
                v-else-if="item.gender === 'female'"
                src="https://assets9.lottiefiles.com/packages/lf20_nqfn9sat.json"
                background="transparent"
                speed="1"
                style="width: 100%; height: 100vh; object-fit: cover"
                loop
                autoplay
              ></lottie-player>
              <img v-else :src="item.avatar_url" class="mb-16 ava" alt="Trucking pics" />
            </div>
            <div>
              <h6>{{ item.full_name }}
              </h6>
              <p class="mb-48">{{ item.position }}</p>
              <div class="socials team-phone">
                <a :href="'tel:' + item.phone_number">
                  <svg width="28" height="28" viewBox="0 0 28 28" fill="none" xmlns="http://www.w3.org/2000/svg">
<rect width="28" height="28" rx="6" fill="white" fill-opacity="0.2"/>
<path fill-rule="evenodd" clip-rule="evenodd" d="M9.35599 7.50339C10.2707 6.58867 11.7239 6.63661 12.4335 7.60491L13.6114 9.21221C14.1916 10.0041 14.067 11.1478 13.319 11.8958L12.3691 12.8457C12.449 13.0731 12.7215 13.5685 13.5765 14.4235C14.4315 15.2785 14.9268 15.551 15.1543 15.6309L16.1041 14.681C16.8522 13.933 17.9959 13.8084 18.7878 14.3886L20.3951 15.5665C21.3634 16.2761 21.4113 17.7293 20.4966 18.644C20.1992 18.9414 20.1489 18.9917 19.6526 19.488C19.1468 19.9938 18.095 20.4886 17.0459 20.5741C15.4043 20.708 13.2058 20.0652 10.5703 17.4297C7.93481 14.7942 7.29204 12.5957 7.42585 10.9541C7.50029 10.0408 7.82838 9.02844 8.51567 8.35104C9.00828 7.85109 9.0723 7.78707 9.35599 7.50339ZM8.78734 10.9613C8.69458 12.0993 9.10177 13.957 11.5724 16.4276C14.043 18.8982 15.9007 19.3054 17.0387 19.2127C18.101 19.1261 18.6895 18.5919 18.7242 18.5596L19.5682 17.7156C19.8731 17.4107 19.8572 16.9263 19.5344 16.6898L17.9271 15.5119C17.6631 15.3185 17.2819 15.3601 17.0325 15.6094C16.6569 15.9851 16.4003 16.2452 15.8984 16.7453C14.8558 17.7843 13.2049 16.056 12.5745 15.4255C11.9951 14.8462 10.227 13.1423 11.2536 12.1045C11.2556 12.1024 11.532 11.8261 12.3906 10.9675C12.6399 10.7181 12.6815 10.3369 12.4881 10.0729L11.3102 8.46561C11.0737 8.14285 10.5893 8.12687 10.2844 8.43177C10.0037 8.7124 9.68615 9.03 9.44118 9.27654C8.93699 9.78395 8.83613 10.3627 8.78734 10.9613Z" fill="white"/>
</svg>
                </a>
                <a :href="'mailto:' + item.email">
                 <svg width="36" height="36" viewBox="0 0 36 36" fill="none" xmlns="http://www.w3.org/2000/svg">
<rect width="36" height="36" rx="6" fill="white" fill-opacity="0.2"/>
<path fill-rule="evenodd" clip-rule="evenodd" d="M24.25 6.75H11.75C8.29822 6.75 5.5 9.54822 5.5 13V23C5.5 26.4518 8.29822 29.25 11.75 29.25H24.2399L24.5109 29.244C27.8359 29.0993 30.4876 26.3606 30.4924 23.0018L30.4962 13.0075L30.5 12.9975C30.5 9.54501 27.7008 6.74684 24.25 6.75ZM24.2511 9.25L24.4714 9.25617C26.3661 9.36432 27.8838 10.8815 27.9936 12.7771L27.9975 12.9994L27.9924 22.9994C27.9894 25.0694 26.3099 26.7481 24.2387 26.75L11.75 26.75C9.67893 26.75 8 25.0711 8 23V13C8 10.9289 9.67893 9.25 11.75 9.25L24.2511 9.25Z" fill="white"/>
<g opacity="0.5">
<path fill-rule="evenodd" clip-rule="evenodd" d="M12.1161 13.3661C12.5667 12.9155 13.2758 12.8808 13.7661 13.2621L13.8839 13.3661L15.3483 14.8306C16.7542 16.2365 18.9987 16.2927 20.4717 14.9993L20.6517 14.8306L22.1161 13.3661C22.6043 12.878 23.3957 12.878 23.8839 13.3661C24.3345 13.8167 24.3692 14.5258 23.9879 15.0161L23.8839 15.1339L22.4194 16.5983C20.0526 18.9652 16.2598 19.0369 13.8066 16.8135L13.5806 16.5983L12.1161 15.1339C11.628 14.6457 11.628 13.8543 12.1161 13.3661Z" fill="white"/>
</g>
</svg>
                </a>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  </div>
</template>

<script>
import {mapState} from "vuex";

export default {
  async fetch() {
    await this.$store.dispatch("fetchTeamMembers");
  },

  computed: {
    ...mapState({
      teamMembers: (state) => state.teamMembers,
    }),
  },
};
</script>
